
_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;electronique_recepteur_tc_rc5_001.mpas,41 :: 		begin
;electronique_recepteur_tc_rc5_001.mpas,42 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__interrupt2
;electronique_recepteur_tc_rc5_001.mpas,43 :: 		Rc5_Interrupt
	CALL       _Rc5_Interrupt+0
	GOTO       L__interrupt3
;electronique_recepteur_tc_rc5_001.mpas,44 :: 		else
L__interrupt2:
;electronique_recepteur_tc_rc5_001.mpas,45 :: 		Rc6_Interrupt;
	CALL       _Rc6_Interrupt+0
L__interrupt3:
;electronique_recepteur_tc_rc5_001.mpas,46 :: 		end;
L__interrupt162:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Main_Init:

;electronique_recepteur_tc_rc5_001.mpas,49 :: 		begin
;electronique_recepteur_tc_rc5_001.mpas,50 :: 		CMCON := 7;             // Disable Comparator module's
	MOVLW      7
	MOVWF      CMCON+0
;electronique_recepteur_tc_rc5_001.mpas,51 :: 		TRISA := $00;
	CLRF       TRISA+0
;electronique_recepteur_tc_rc5_001.mpas,52 :: 		TRISB := $01;
	MOVLW      1
	MOVWF      TRISB+0
;electronique_recepteur_tc_rc5_001.mpas,53 :: 		PORTA := $00;
	CLRF       PORTA+0
;electronique_recepteur_tc_rc5_001.mpas,54 :: 		PORTB := $00;
	CLRF       PORTB+0
;electronique_recepteur_tc_rc5_001.mpas,55 :: 		OutLedRx := 1;             // rc5 led off
	BSF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,56 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__Main_Init6
;electronique_recepteur_tc_rc5_001.mpas,57 :: 		Rc5_Init              // RC5 init
	CALL       _Rc5_Init+0
	GOTO       L__Main_Init7
;electronique_recepteur_tc_rc5_001.mpas,58 :: 		else
L__Main_Init6:
;electronique_recepteur_tc_rc5_001.mpas,59 :: 		Rc6_Init;             // RC6 init
	CALL       _Rc6_Init+0
L__Main_Init7:
;electronique_recepteur_tc_rc5_001.mpas,60 :: 		INTCON.GIE  := 1;       // enable interrupts
	BSF        INTCON+0, 7
;electronique_recepteur_tc_rc5_001.mpas,61 :: 		OutIdx := 15;  // must be greather than 9 (not in interval 0..9)
	MOVLW      15
	MOVWF      _OutIdx+0
;electronique_recepteur_tc_rc5_001.mpas,62 :: 		OutLedRx := 1;  // rc5 led off
	BSF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,63 :: 		end;
	RETURN
; end of _Main_Init

_Out_Set:

;electronique_recepteur_tc_rc5_001.mpas,66 :: 		begin
;electronique_recepteur_tc_rc5_001.mpas,67 :: 		OutLedRx := 0;  // rc5 led on;
	BCF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,69 :: 		0 : OutPrg0 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set12
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set163
	BCF        PORTA+0, 0
	GOTO       L__Out_Set164
L__Out_Set163:
	BSF        PORTA+0, 0
L__Out_Set164:
	GOTO       L__Out_Set9
L__Out_Set12:
;electronique_recepteur_tc_rc5_001.mpas,70 :: 		1 : OutPrg1 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set15
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set165
	BCF        PORTA+0, 1
	GOTO       L__Out_Set166
L__Out_Set165:
	BSF        PORTA+0, 1
L__Out_Set166:
	GOTO       L__Out_Set9
L__Out_Set15:
;electronique_recepteur_tc_rc5_001.mpas,71 :: 		2 : OutPrg2 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set18
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set167
	BCF        PORTA+0, 2
	GOTO       L__Out_Set168
L__Out_Set167:
	BSF        PORTA+0, 2
L__Out_Set168:
	GOTO       L__Out_Set9
L__Out_Set18:
;electronique_recepteur_tc_rc5_001.mpas,72 :: 		3 : OutPrg3 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set21
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set169
	BCF        PORTA+0, 3
	GOTO       L__Out_Set170
L__Out_Set169:
	BSF        PORTA+0, 3
L__Out_Set170:
	GOTO       L__Out_Set9
L__Out_Set21:
;electronique_recepteur_tc_rc5_001.mpas,73 :: 		4 : OutPrg4 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set24
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set171
	BCF        PORTB+0, 1
	GOTO       L__Out_Set172
L__Out_Set171:
	BSF        PORTB+0, 1
L__Out_Set172:
	GOTO       L__Out_Set9
L__Out_Set24:
;electronique_recepteur_tc_rc5_001.mpas,74 :: 		5 : OutPrg5 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set27
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set173
	BCF        PORTB+0, 2
	GOTO       L__Out_Set174
L__Out_Set173:
	BSF        PORTB+0, 2
L__Out_Set174:
	GOTO       L__Out_Set9
L__Out_Set27:
;electronique_recepteur_tc_rc5_001.mpas,75 :: 		6 : OutPrg6 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set30
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set175
	BCF        PORTB+0, 3
	GOTO       L__Out_Set176
L__Out_Set175:
	BSF        PORTB+0, 3
L__Out_Set176:
	GOTO       L__Out_Set9
L__Out_Set30:
;electronique_recepteur_tc_rc5_001.mpas,76 :: 		7 : OutPrg7 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set33
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set177
	BCF        PORTB+0, 4
	GOTO       L__Out_Set178
L__Out_Set177:
	BSF        PORTB+0, 4
L__Out_Set178:
	GOTO       L__Out_Set9
L__Out_Set33:
;electronique_recepteur_tc_rc5_001.mpas,77 :: 		8 : OutPrg8 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set36
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set179
	BCF        PORTB+0, 5
	GOTO       L__Out_Set180
L__Out_Set179:
	BSF        PORTB+0, 5
L__Out_Set180:
	GOTO       L__Out_Set9
L__Out_Set36:
;electronique_recepteur_tc_rc5_001.mpas,78 :: 		9 : OutPrg9 := bState;
	MOVF       FARG_Out_Set_idx+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__Out_Set39
	BTFSC      FARG_Out_Set_bState+0, 0
	GOTO       L__Out_Set181
	BCF        PORTB+0, 6
	GOTO       L__Out_Set182
L__Out_Set181:
	BSF        PORTB+0, 6
L__Out_Set182:
	GOTO       L__Out_Set9
L__Out_Set39:
L__Out_Set9:
;electronique_recepteur_tc_rc5_001.mpas,80 :: 		OutLedRx := 1;  // rc5 led off;
	BSF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,81 :: 		end;
	RETURN
; end of _Out_Set

_Out_Reset:

;electronique_recepteur_tc_rc5_001.mpas,84 :: 		begin
;electronique_recepteur_tc_rc5_001.mpas,85 :: 		OutIdx := 15;   // prog not defined
	MOVLW      15
	MOVWF      _OutIdx+0
;electronique_recepteur_tc_rc5_001.mpas,86 :: 		for i := 1 to 3 do
	MOVLW      1
	MOVWF      _i+0
L__Out_Reset42:
;electronique_recepteur_tc_rc5_001.mpas,88 :: 		OutLedRx := 0;  // rc5 led on
	BCF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,89 :: 		delay_ms(150);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L__Out_Reset46:
	DECFSZ     R13+0, 1
	GOTO       L__Out_Reset46
	DECFSZ     R12+0, 1
	GOTO       L__Out_Reset46
;electronique_recepteur_tc_rc5_001.mpas,90 :: 		OutLedRx := 1;  // rc5 led off
	BSF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,91 :: 		delay_ms(150);
	MOVLW      195
	MOVWF      R12+0
	MOVLW      205
	MOVWF      R13+0
L__Out_Reset47:
	DECFSZ     R13+0, 1
	GOTO       L__Out_Reset47
	DECFSZ     R12+0, 1
	GOTO       L__Out_Reset47
;electronique_recepteur_tc_rc5_001.mpas,92 :: 		end;
	MOVF       _i+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L__Out_Reset45
	INCF       _i+0, 1
	GOTO       L__Out_Reset42
L__Out_Reset45:
;electronique_recepteur_tc_rc5_001.mpas,93 :: 		end;
	RETURN
; end of _Out_Reset

_main:

;electronique_recepteur_tc_rc5_001.mpas,95 :: 		begin
;electronique_recepteur_tc_rc5_001.mpas,96 :: 		Main_Init;
	CALL       _Main_Init+0
;electronique_recepteur_tc_rc5_001.mpas,97 :: 		OutLedRx := 0;  // rc5 led on
	BCF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,98 :: 		delay_ms(200);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L__main49:
	DECFSZ     R13+0, 1
	GOTO       L__main49
	DECFSZ     R12+0, 1
	GOTO       L__main49
	DECFSZ     R11+0, 1
	GOTO       L__main49
	NOP
;electronique_recepteur_tc_rc5_001.mpas,99 :: 		OutLedRx := 1;  // rc5 led off
	BSF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,101 :: 		while true do
L__main51:
;electronique_recepteur_tc_rc5_001.mpas,105 :: 		if InRC5 then
	BTFSS      PORTA+0, 5
	GOTO       L__main56
;electronique_recepteur_tc_rc5_001.mpas,107 :: 		if GetRc5(Rc5Toggle, Rc5System, Rc5Command) then
	MOVLW      _Rc5Toggle+0
	MOVWF      FARG_GetRc5_Toggle+0
	MOVLW      _Rc5System+0
	MOVWF      FARG_GetRc5_System+0
	MOVLW      _Rc5Command+0
	MOVWF      FARG_GetRc5_Command+0
	CALL       _GetRc5+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main59
;electronique_recepteur_tc_rc5_001.mpas,109 :: 		OutLedRx := 0;  // rc5/6 led on
	BCF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,111 :: 		00 : OutIdx := 0;  // prog #0
	MOVF       _Rc5Command+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main64
	CLRF       _OutIdx+0
	GOTO       L__main61
L__main64:
;electronique_recepteur_tc_rc5_001.mpas,112 :: 		01 : OutIdx := 1;  // prog #1
	MOVF       _Rc5Command+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main67
	MOVLW      1
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main67:
;electronique_recepteur_tc_rc5_001.mpas,113 :: 		02 : OutIdx := 2;  // prog #2
	MOVF       _Rc5Command+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main70
	MOVLW      2
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main70:
;electronique_recepteur_tc_rc5_001.mpas,114 :: 		03 : OutIdx := 3;  // prog #3
	MOVF       _Rc5Command+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main73
	MOVLW      3
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main73:
;electronique_recepteur_tc_rc5_001.mpas,115 :: 		04 : OutIdx := 4;  // prog #4
	MOVF       _Rc5Command+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main76
	MOVLW      4
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main76:
;electronique_recepteur_tc_rc5_001.mpas,116 :: 		05 : OutIdx := 5;  // prog #5
	MOVF       _Rc5Command+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main79
	MOVLW      5
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main79:
;electronique_recepteur_tc_rc5_001.mpas,117 :: 		06 : OutIdx := 6;  // prog #6
	MOVF       _Rc5Command+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main82
	MOVLW      6
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main82:
;electronique_recepteur_tc_rc5_001.mpas,118 :: 		07 : OutIdx := 7;  // prog #7
	MOVF       _Rc5Command+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main85
	MOVLW      7
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main85:
;electronique_recepteur_tc_rc5_001.mpas,119 :: 		08 : OutIdx := 8;  // prog #8
	MOVF       _Rc5Command+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__main88
	MOVLW      8
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main88:
;electronique_recepteur_tc_rc5_001.mpas,120 :: 		09 : OutIdx := 9;  // prog #9
	MOVF       _Rc5Command+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main91
	MOVLW      9
	MOVWF      _OutIdx+0
	GOTO       L__main61
L__main91:
;electronique_recepteur_tc_rc5_001.mpas,121 :: 		10 : Out_Set(OutIdx, true);   // Vol+
	MOVF       _Rc5Command+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__main94
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main61
L__main94:
;electronique_recepteur_tc_rc5_001.mpas,122 :: 		11 : Out_Set(OutIdx, false);  // Vol-
	MOVF       _Rc5Command+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L__main97
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main61
L__main97:
;electronique_recepteur_tc_rc5_001.mpas,123 :: 		20 : Out_Set(OutIdx, true);   // Prg+
	MOVF       _Rc5Command+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L__main100
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main61
L__main100:
;electronique_recepteur_tc_rc5_001.mpas,124 :: 		21 : Out_Set(OutIdx, false);  // Prg-
	MOVF       _Rc5Command+0, 0
	XORLW      21
	BTFSS      STATUS+0, 2
	GOTO       L__main103
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main61
L__main103:
;electronique_recepteur_tc_rc5_001.mpas,125 :: 		35 : Out_Set(OutIdx, true);   // play
	MOVF       _Rc5Command+0, 0
	XORLW      35
	BTFSS      STATUS+0, 2
	GOTO       L__main106
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main61
L__main106:
;electronique_recepteur_tc_rc5_001.mpas,126 :: 		36 : Out_Set(OutIdx, false)   // stop
	MOVF       _Rc5Command+0, 0
	XORLW      36
	BTFSS      STATUS+0, 2
	GOTO       L__main109
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
;electronique_recepteur_tc_rc5_001.mpas,127 :: 		else Out_Reset;
	GOTO       L__main61
L__main109:
	CALL       _Out_Reset+0
L__main61:
;electronique_recepteur_tc_rc5_001.mpas,130 :: 		end;
L__main59:
;electronique_recepteur_tc_rc5_001.mpas,131 :: 		end
	GOTO       L__main57
;electronique_recepteur_tc_rc5_001.mpas,132 :: 		else
L__main56:
;electronique_recepteur_tc_rc5_001.mpas,136 :: 		if GetRc6(Rc6Toggle, Rc6System, Rc6Command) then
	MOVLW      _Rc6Toggle+0
	MOVWF      FARG_GetRc6_Toggle+0
	MOVLW      _Rc6System+0
	MOVWF      FARG_GetRc6_System+0
	MOVLW      _Rc6Command+0
	MOVWF      FARG_GetRc6_Command+0
	CALL       _GetRc6+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main111
;electronique_recepteur_tc_rc5_001.mpas,138 :: 		OutLedRx := 0;  // rc5/6 led on
	BCF        PORTA+0, 4
;electronique_recepteur_tc_rc5_001.mpas,140 :: 		00 : OutIdx := 0;  // prog #0
	MOVF       _Rc6Command+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main116
	CLRF       _OutIdx+0
	GOTO       L__main113
L__main116:
;electronique_recepteur_tc_rc5_001.mpas,141 :: 		01 : OutIdx := 1;  // prog #1
	MOVF       _Rc6Command+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main119
	MOVLW      1
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main119:
;electronique_recepteur_tc_rc5_001.mpas,142 :: 		02 : OutIdx := 2;  // prog #2
	MOVF       _Rc6Command+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main122
	MOVLW      2
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main122:
;electronique_recepteur_tc_rc5_001.mpas,143 :: 		03 : OutIdx := 3;  // prog #3
	MOVF       _Rc6Command+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main125
	MOVLW      3
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main125:
;electronique_recepteur_tc_rc5_001.mpas,144 :: 		04 : OutIdx := 4;  // prog #4
	MOVF       _Rc6Command+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main128
	MOVLW      4
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main128:
;electronique_recepteur_tc_rc5_001.mpas,145 :: 		05 : OutIdx := 5;  // prog #5
	MOVF       _Rc6Command+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main131
	MOVLW      5
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main131:
;electronique_recepteur_tc_rc5_001.mpas,146 :: 		06 : OutIdx := 6;  // prog #6
	MOVF       _Rc6Command+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main134
	MOVLW      6
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main134:
;electronique_recepteur_tc_rc5_001.mpas,147 :: 		07 : OutIdx := 7;  // prog #7
	MOVF       _Rc6Command+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main137
	MOVLW      7
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main137:
;electronique_recepteur_tc_rc5_001.mpas,148 :: 		08 : OutIdx := 8;  // prog #8
	MOVF       _Rc6Command+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__main140
	MOVLW      8
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main140:
;electronique_recepteur_tc_rc5_001.mpas,149 :: 		09 : OutIdx := 9;  // prog #9
	MOVF       _Rc6Command+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main143
	MOVLW      9
	MOVWF      _OutIdx+0
	GOTO       L__main113
L__main143:
;electronique_recepteur_tc_rc5_001.mpas,150 :: 		10 : Out_Set(OutIdx, true);   // Vol+
	MOVF       _Rc6Command+0, 0
	XORLW      10
	BTFSS      STATUS+0, 2
	GOTO       L__main146
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main113
L__main146:
;electronique_recepteur_tc_rc5_001.mpas,151 :: 		11 : Out_Set(OutIdx, false);  // Vol-
	MOVF       _Rc6Command+0, 0
	XORLW      11
	BTFSS      STATUS+0, 2
	GOTO       L__main149
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main113
L__main149:
;electronique_recepteur_tc_rc5_001.mpas,152 :: 		20 : Out_Set(OutIdx, true);   // Prg+
	MOVF       _Rc6Command+0, 0
	XORLW      20
	BTFSS      STATUS+0, 2
	GOTO       L__main152
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main113
L__main152:
;electronique_recepteur_tc_rc5_001.mpas,153 :: 		21 : Out_Set(OutIdx, false);  // Prg-
	MOVF       _Rc6Command+0, 0
	XORLW      21
	BTFSS      STATUS+0, 2
	GOTO       L__main155
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main113
L__main155:
;electronique_recepteur_tc_rc5_001.mpas,154 :: 		35 : Out_Set(OutIdx, true);   // play
	MOVF       _Rc6Command+0, 0
	XORLW      35
	BTFSS      STATUS+0, 2
	GOTO       L__main158
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	MOVLW      255
	MOVWF      FARG_Out_Set_bState+0
	CALL       _Out_Set+0
	GOTO       L__main113
L__main158:
;electronique_recepteur_tc_rc5_001.mpas,155 :: 		36 : Out_Set(OutIdx, false)   // stop
	MOVF       _Rc6Command+0, 0
	XORLW      36
	BTFSS      STATUS+0, 2
	GOTO       L__main161
	MOVF       _OutIdx+0, 0
	MOVWF      FARG_Out_Set_idx+0
	CLRF       FARG_Out_Set_bState+0
	CALL       _Out_Set+0
;electronique_recepteur_tc_rc5_001.mpas,156 :: 		else Out_Reset;
	GOTO       L__main113
L__main161:
	CALL       _Out_Reset+0
L__main113:
;electronique_recepteur_tc_rc5_001.mpas,159 :: 		end;
L__main111:
;electronique_recepteur_tc_rc5_001.mpas,160 :: 		end;
L__main57:
;electronique_recepteur_tc_rc5_001.mpas,162 :: 		end;
	GOTO       L__main51
;electronique_recepteur_tc_rc5_001.mpas,164 :: 		end.
	GOTO       $+0
; end of _main
